Subject: Re: [patch 1/3] softmac: return -EAGAIN from getscan while scanning

From: Pete Zaitcev <[email-masked]>
Date: Thu, 13 Apr 2006 02:00:10 -0700

On Tue, 11 Apr 2006 10:58:06 +0200, [email-masked] wrote:

> Below patch was developed after discussion with Daniel Drake who
> mentioned to me that wireless tools expect an EAGAIN return from getscan
> so that they can wait for the scan to finish before printing out the
> results.

This sounds completely wrong. Do you guys remember the Subject: string
of this discussion by any chance?

It's very likely that tools do indeed loop when they see EAGAIN, but
this is a workaround, not the main mode of operation. It seems obvious
to me that the get method should wait until the scan results are
available. Perhaps the discussion had a specific scenario where
EAGAIN would make sense, but I cannot imagine what it might be.

-- Pete